diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/mac8-address.h ns-3.44/src/network/utils/mac8-address.h
--- ns-3.43/src/network/utils/mac8-address.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/mac8-address.h	2025-03-09 16:55:49.679372300 -0700
@@ -19,7 +19,7 @@
 class Address;
 
 /**
- * \ingroup network
+ * @ingroup network
  *
  * A class used for addressing MAC8 MAC's.
  *
@@ -36,7 +36,7 @@
     /**
      * Create Mac8Address object with address addr.
      *
-     * \param addr Byte address to assign to this address.
+     * @param addr Byte address to assign to this address.
      */
     Mac8Address(uint8_t addr);
     /** Destructor */
@@ -45,51 +45,51 @@
     /**
      * Convert a generic address to a Mac8Address.
      *
-     * \param address  Address to convert to Mac8Address address.
-     * \return Mac8Address from Address.
+     * @param address  Address to convert to Mac8Address address.
+     * @return Mac8Address from Address.
      */
     static Mac8Address ConvertFrom(const Address& address);
 
     /**
      * Convert to a generic Address.
      *
-     * \return The Address value.
+     * @return The Address value.
      */
     Address ConvertTo() const;
 
     /**
      * Check that a generic Address is compatible with Mac8Address.
      *
-     * \param address  Address to test.
-     * \return True if address given is consistent with Mac8Address.
+     * @param address  Address to test.
+     * @return True if address given is consistent with Mac8Address.
      */
     static bool IsMatchingType(const Address& address);
 
     /**
      * Create a generic Address.
      *
-     * \return The Address.
+     * @return The Address.
      */
     operator Address() const;
 
     /**
      * Sets address to address stored in parameter.
      *
-     * \param pBuffer Buffer to extract address from.
+     * @param pBuffer Buffer to extract address from.
      */
     void CopyFrom(const uint8_t* pBuffer);
 
     /**
      * Writes address to buffer parameter.
      *
-     * \param pBuffer
+     * @param pBuffer
      */
     void CopyTo(uint8_t* pBuffer) const;
 
     /**
      * Get the broadcast address (255).
      *
-     * \return Broadcast address.
+     * @return Broadcast address.
      */
     static Mac8Address GetBroadcast();
 
@@ -99,7 +99,7 @@
      * Will wrap back to 0 if more than 254 are allocated.
      * Excludes the broadcast address.
      *
-     * \return The next sequential Mac8Address.
+     * @return The next sequential Mac8Address.
      */
     static Mac8Address Allocate();
 
@@ -109,9 +109,9 @@
      * This function resets (to zero) the global integer
      * that is used for unique address allocation.
      * It is automatically called whenever
-     * \code
+     * @code
      * SimulatorDestroy ();
-     * \endcode
+     * @endcode
      * is called.  It may also be optionally called
      * by user code if there is a need to force a reset
      * of this allocation index.
@@ -125,7 +125,7 @@
     /**
      * Get the Mac8Address type.
      *
-     * \return The type value.
+     * @return The type value.
      */
     static uint8_t GetType();
 
@@ -140,45 +140,45 @@
 /**
  * Address comparison, less than.
  *
- * \param a First address to compare.
- * \param b Second address to compare.
- * \return True if a < b.
+ * @param a First address to compare.
+ * @param b Second address to compare.
+ * @return True if a < b.
  */
 bool operator<(const Mac8Address& a, const Mac8Address& b);
 
 /**
  * Address comparison, equality.
  *
- * \param a First address to compare.
- * \param b Second address to compare.
- * \return True if a == b.
+ * @param a First address to compare.
+ * @param b Second address to compare.
+ * @return True if a == b.
  */
 bool operator==(const Mac8Address& a, const Mac8Address& b);
 
 /**
  * Address comparison, unequal.
  *
- * \param a First address to compare.
- * \param b Second address to compare.
- * \return True if a != b.
+ * @param a First address to compare.
+ * @param b Second address to compare.
+ * @return True if a != b.
  */
 bool operator!=(const Mac8Address& a, const Mac8Address& b);
 
 /**
  * Write \pname{address} to stream \pname{os} as 8 bit integer.
  *
- * \param os The output stream.
- * \param address The address
- * \return The output stream.
+ * @param os The output stream.
+ * @param address The address
+ * @return The output stream.
  */
 std::ostream& operator<<(std::ostream& os, const Mac8Address& address);
 
 /**
  * Read \pname{address} from stream \pname{is} as 8 bit integer.
  *
- * \param is The input stream.
- * \param address The address variable to set.
- * \return The input stream.
+ * @param is The input stream.
+ * @param address The address variable to set.
+ * @return The input stream.
  */
 std::istream& operator>>(std::istream& is, Mac8Address& address);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/net-device-queue-interface.h ns-3.44/src/network/utils/net-device-queue-interface.h
--- ns-3.43/src/network/utils/net-device-queue-interface.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/net-device-queue-interface.h	2025-03-09 16:55:49.679372300 -0700
@@ -27,14 +27,14 @@
 class QueueItem;
 
 /**
- * \ingroup network
- * \defgroup netdevice Network Device
+ * @ingroup network
+ * @defgroup netdevice Network Device
  */
 
 /**
- * \ingroup netdevice
+ * @ingroup netdevice
  *
- * \brief Network device transmission queue
+ * @brief Network device transmission queue
  *
  * This class stores information about a single transmission queue
  * of a network device that is exposed to queue discs. Such information
@@ -47,8 +47,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -75,8 +75,8 @@
     virtual void Wake();
 
     /**
-     * \brief Get the status of the device transmission queue.
-     * \return true if the device transmission queue is stopped.
+     * @brief Get the status of the device transmission queue.
+     * @return true if the device transmission queue is stopped.
      *
      * Called by queue discs to enquire about the status of a given transmission queue.
      * This is the analogous to the netif_xmit_stopped function of the Linux kernel.
@@ -84,10 +84,10 @@
     virtual bool IsStopped() const;
 
     /**
-     * \brief Notify this NetDeviceQueue that the NetDeviceQueueInterface was
+     * @brief Notify this NetDeviceQueue that the NetDeviceQueueInterface was
      *        aggregated to an object.
      *
-     * \param ndqi the NetDeviceQueueInterface.
+     * @param ndqi the NetDeviceQueueInterface.
      *
      * This NetDeviceQueue stores a pointer to the NetDevice the NetDeviceQueueInterface
      * was aggregated to.
@@ -98,8 +98,8 @@
     typedef Callback<void> WakeCallback;
 
     /**
-     * \brief Set the wake callback
-     * \param cb the callback to set
+     * @brief Set the wake callback
+     * @param cb the callback to set
      *
      * Called by the traffic control layer to set the wake callback. The wake callback
      * is invoked by the device whenever it is needed to "wake" the upper layers (i.e.,
@@ -110,40 +110,40 @@
     virtual void SetWakeCallback(WakeCallback cb);
 
     /**
-     * \brief Called by the netdevice to report the number of bytes queued to the device queue
-     * \param bytes number of bytes queued to the device queue
+     * @brief Called by the netdevice to report the number of bytes queued to the device queue
+     * @param bytes number of bytes queued to the device queue
      */
     virtual void NotifyQueuedBytes(uint32_t bytes);
 
     /**
-     * \brief Called by the netdevice to report the number of bytes it is going to transmit
-     * \param bytes number of bytes the device is going to transmit
+     * @brief Called by the netdevice to report the number of bytes it is going to transmit
+     * @param bytes number of bytes the device is going to transmit
      */
     virtual void NotifyTransmittedBytes(uint32_t bytes);
 
     /**
-     * \brief Reset queue limits state
+     * @brief Reset queue limits state
      */
     void ResetQueueLimits();
 
     /**
-     * \brief Set queue limits to this queue
-     * \param ql the queue limits associated to this queue
+     * @brief Set queue limits to this queue
+     * @param ql the queue limits associated to this queue
      */
     void SetQueueLimits(Ptr<QueueLimits> ql);
 
     /**
-     * \brief Get queue limits to this queue
-     * \return the queue limits associated to this queue
+     * @brief Get queue limits to this queue
+     * @return the queue limits associated to this queue
      */
     Ptr<QueueLimits> GetQueueLimits();
 
     /**
-     * \brief Perform the actions required by flow control and dynamic queue
+     * @brief Perform the actions required by flow control and dynamic queue
      *        limits when a packet is enqueued in the queue of a netdevice
      *
-     * \param queue the device queue
-     * \param item the enqueued packet
+     * @param queue the device queue
+     * @param item the enqueued packet
      *
      * This method must be connected to the "Enqueue" traced callback of a Queue
      * object (through a bound callback) in order for a netdevice to support
@@ -153,12 +153,12 @@
     void PacketEnqueued(QueueType* queue, Ptr<const typename QueueType::ItemType> item);
 
     /**
-     * \brief Perform the actions required by flow control and dynamic queue
+     * @brief Perform the actions required by flow control and dynamic queue
      *        limits when a packet is dequeued (or dropped after dequeue) from
      *        the queue of a netdevice
      *
-     * \param queue the device queue
-     * \param item the dequeued packet
+     * @param queue the device queue
+     * @param item the dequeued packet
      *
      * This method must be connected to the "Dequeue" traced callback of a Queue
      * object (through a bound callback) in order for
@@ -168,12 +168,12 @@
     void PacketDequeued(QueueType* queue, Ptr<const typename QueueType::ItemType> item);
 
     /**
-     * \brief Perform the actions required by flow control and dynamic queue
+     * @brief Perform the actions required by flow control and dynamic queue
      *        limits when a packet is dropped before being enqueued in the queue
      *        of a netdevice (which likely indicates that the queue is full)
      *
-     * \param queue the device queue
-     * \param item the dropped packet
+     * @param queue the device queue
+     * @param item the dropped packet
      *
      * This method must be connected to the "DropBeforeEnqueue" traced callback
      * of a Queue object (through a bound callback) in order for a netdevice to
@@ -183,12 +183,12 @@
     void PacketDiscarded(QueueType* queue, Ptr<const typename QueueType::ItemType> item);
 
     /**
-     * \brief Connect the traced callbacks of a queue to the methods providing support
+     * @brief Connect the traced callbacks of a queue to the methods providing support
      *        for flow control and dynamic queue limits. A queue can be any object providing:
      *        - "Enqueue", "Dequeue", "DropBeforeEnqueue" traces
      *        - an ItemType typedef for the type of stored items
      *        - GetCurrentSize and GetMaxSize methods
-     * \param queue the queue
+     * @param queue the queue
      */
     template <typename QueueType>
     void ConnectQueueTraces(Ptr<QueueType> queue);
@@ -204,9 +204,9 @@
 };
 
 /**
- * \ingroup netdevice
+ * @ingroup netdevice
  *
- * \brief Network device transmission queue interface
+ * @brief Network device transmission queue interface
  *
  * This interface is used by the traffic control layer and by the aggregated
  * device to access the transmission queues of the device. Additionally, through
@@ -220,36 +220,36 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     NetDeviceQueueInterface();
     ~NetDeviceQueueInterface() override;
 
     /**
-     * \brief Get the i-th transmission queue of the device.
+     * @brief Get the i-th transmission queue of the device.
      *
-     * \param i the index of the requested queue.
-     * \return the i-th transmission queue of the device.
+     * @param i the index of the requested queue.
+     * @return the i-th transmission queue of the device.
      *
      * The index of the first transmission queue is zero.
      */
     Ptr<NetDeviceQueue> GetTxQueue(std::size_t i) const;
 
     /**
-     * \brief Get the number of device transmission queues.
-     * \return the number of device transmission queues.
+     * @brief Get the number of device transmission queues.
+     * @return the number of device transmission queues.
      */
     std::size_t GetNTxQueues() const;
 
     /**
-     * \brief Set the type of device transmission queues to create.
-     * \param type type of device transmission queues to create.
+     * @brief Set the type of device transmission queues to create.
+     * @param type type of device transmission queues to create.
      *
      * This method is called when the TxQueuesType attribute is set to create
      * the corresponding type of device transmission queues. It cannot be
@@ -258,8 +258,8 @@
     void SetTxQueuesType(TypeId type);
 
     /**
-     * \brief Set the number of device transmission queues to create.
-     * \param numTxQueues number of device transmission queues to create.
+     * @brief Set the number of device transmission queues to create.
+     * @param numTxQueues number of device transmission queues to create.
      *
      * This method is called when the NTxQueues attribute is set to create
      * the corresponding number of device transmission queues. It cannot be
@@ -271,8 +271,8 @@
     typedef std::function<std::size_t(Ptr<QueueItem>)> SelectQueueCallback;
 
     /**
-     * \brief Set the select queue callback.
-     * \param cb the callback to set.
+     * @brief Set the select queue callback.
+     * @param cb the callback to set.
      *
      * This method is called to set the select queue callback, i.e., the
      * method used to select a device transmission queue for a given packet.
@@ -280,8 +280,8 @@
     void SetSelectQueueCallback(SelectQueueCallback cb);
 
     /**
-     * \brief Get the select queue callback.
-     * \return the select queue callback.
+     * @brief Get the select queue callback.
+     * @return the select queue callback.
      *
      * Called by the traffic control layer to get the select queue callback set
      * by a multi-queue device.
@@ -290,11 +290,11 @@
 
   protected:
     /**
-     * \brief Dispose of the object
+     * @brief Dispose of the object
      */
     void DoDispose() override;
     /**
-     * \brief Notify that an object was aggregated
+     * @brief Notify that an object was aggregated
      */
     void NotifyNewAggregate() override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/output-stream-wrapper.h ns-3.44/src/network/utils/output-stream-wrapper.h
--- ns-3.43/src/network/utils/output-stream-wrapper.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/output-stream-wrapper.h	2025-03-09 16:55:49.679372300 -0700
@@ -51,7 +51,7 @@
  *     std::ostream *stream = streamWrapper->GetStream();
  *     *stream << "got packet" << std::endl;
  * }
- * \endcode
+ * @endcode
  *
  *
  * This class uses a basic ns-3 reference counting base class but is not
@@ -62,13 +62,13 @@
   public:
     /**
      * Constructor
-     * \param filename file name
-     * \param filemode std::ios::openmode flags
+     * @param filename file name
+     * @param filemode std::ios::openmode flags
      */
     OutputStreamWrapper(std::string filename, std::ios::openmode filemode);
     /**
      * Constructor
-     * \param os output stream
+     * @param os output stream
      */
     OutputStreamWrapper(std::ostream* os);
     ~OutputStreamWrapper();
@@ -76,9 +76,9 @@
     /**
      * Return a pointer to an ostream previously set in the wrapper.
      *
-     * \see SetStream
+     * @see SetStream
      *
-     * \returns a pointer to the encapsulated std::ostream
+     * @returns a pointer to the encapsulated std::ostream
      */
     std::ostream* GetStream();
 
